## $Id: utils.py 17254 2022-12-30 09:25:50Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Customize general helper utilities for Kofa.
"""
from kofacustom.nigeria.utils.utils import NigeriaKofaUtils

class CustomKofaUtils(NigeriaKofaUtils):
    """A collection of methods subject to customization.
    """

    PAYMENT_CATEGORIES = {
        'application': 'Application Fee',
        'schoolfee': 'Annual Membership Fee',
        'donation': 'Donation',
        'clearance': 'Admission Fee',
        }

    PAYMENT_OPTIONS = {
        'NGN': 'Amount in Naira (Payment via Interswitch or USSD)',
        'USD': 'Amount in Dollar (Payment via Paypal)',
        }

    DISABLE_PAYMENT_GROUP_DICT = {
        }

    APP_CATS_DICT = {
        'basic': 'Basic Application',
        'no': 'no application',
        }
        
    #: Maximum size in Bytes of passport images in the applicants and
    #: students section
    MAX_PASSPORT_SIZE = 200 * 1024